#coding=utf8
import os
import tempfile

from django.contrib.auth.decorators import login_required
from django.http import HttpResponse, Http404
from django.shortcuts import get_object_or_404

from Certificates.models import perssl_command, perssl_execute, clean_name
from OpenDirectory.models import Users, Service,  Computer

@login_required
def get_info(request, cat, info, name):
    if cat == 'users':
        principal = name
    elif cat == 'computer':
        principal = clean_name(name)
    elif cat == 'service':
        principal = clean_name(name)
    else:
        raise Http404
    if info not in ('key', 'crt'):
        raise Http404
    content = perssl_command(u'principal {0} {1} --pem'.format(info, principal))
    return HttpResponse(content, content_type='text/plain')

def get_cacert(request):
    print request.META['REMOTE_USER']
    print request.META
    print request.user
    print request.user.username
    crt = perssl_command('ca --showcrt')
    return HttpResponse(crt, content_type='text/plain')

@login_required
def get_pkcs12(request, name):
    instance = get_object_or_404(Users, uid=name)
    fd, keytab = tempfile.mkstemp()
    os.close(fd)
    content = perssl_command(u'principal pkcs12 --pass "{0}" --path {1} {2}'.format(instance.userpassword, keytab, instance.uid))
    with open(keytab, 'r') as fd:
        content = fd.read()
    os.remove(keytab)
    response = HttpResponse(content, content_type='application/pkcs12')
    response['Content-Disposition'] = u'attachment; filename={0}.p12'.format(instance.uid)
    return response



