#coding=utf8

from django.contrib import admin
from django import forms

import coreadmin.fields
from Dhcpd.models import *

class CoreModelAdmin(admin.ModelAdmin):
    exclude = ['dn', ]
    formfield_overrides = {
            coreadmin.fields.MultilineField: {'widget': forms.Textarea},
            coreadmin.fields.OctetStringField: {'widget': forms.Textarea},
            }

class DhcpConfigAdmin(CoreModelAdmin):
    exclude = ['dn', 'dhcpOption', 'dhcpStatements', ]
    fieldsets = [
        (None, {'fields': [('name', 'domain_name', ), ('primary', 'secondary'), 'routers', 'domain_search', ('subnet_mask', 'broadcast_address', 'default_lease_time', 'max_lease_time', )]}),
        (u'Autres ressources réseau', {'fields': [('domain_name_servers', 'kerberos_servers', 'netbios_name_servers', ), ('nntp_server', 'pop_server', 'smtp_server', )]}),
        ('DNS dynamique', {'fields': ['ddns_domain_name', 'ddns_update_style', ]}),
        (u'Boot réseau', {'fields': ['next_server', 'tftp_server_name', 'filename', ]}),
        ]
    #host_name = models.CharField(u'Nom d\'hôte', max_length=250, blank=True, null=True) #options

class DhcpServerAdmin(CoreModelAdmin):
    exclude = ['dn', 'dhcpServiceDN']

class DhcpSubnetAdmin(CoreModelAdmin):
    fieldsets = [
        (None, {'fields': [('name', 'config', ), ('start_address', 'end_address', 'dhcpNetMask', 'broadcast_address', ), 'routers', 'domain_search', ('default_lease_time', 'max_lease_time', )]}),
        (u'Autres ressources réseau', {'fields': [('domain_name_servers', 'kerberos_servers', 'netbios_name_servers', ), ('nntp_server', 'pop_server', 'smtp_server', )]}),
        ('DNS dynamique', {'fields': ['ddns_domain_name', 'ddns_update_style', ]}),
        (u'Boot réseau', {'fields': ['next_server', 'tftp_server_name', 'filename', ]}),
        ]

class DhcpHostAdmin(CoreModelAdmin):
    fieldsets = [
        (None, {'fields': [('name', 'host_name', 'config', ), ('dhcpHWAddress', 'ip4_address', 'ip6_address', 'ip6_address_ula', ), ('broadcast_address', 'routers', 'domain_search', ), ('default_lease_time', 'max_lease_time', )]}),
        (u'Autres ressources réseau', {'fields': [('domain_name_servers', 'kerberos_servers', 'netbios_name_servers', ), ('nntp_server', 'pop_server', 'smtp_server', )]}),
        ('DNS dynamique', {'fields': ['ddns_domain_name', 'ddns_update_style', ]}),
        (u'Boot réseau', {'fields': ['next_server', 'tftp_server_name', 'filename', ]}),
        ]



admin.site.register(DhcpHost, DhcpHostAdmin)
admin.site.register(DhcpSubnet, DhcpSubnetAdmin)
admin.site.register(DhcpServer, DhcpServerAdmin)
admin.site.register(DhcpConfig, DhcpConfigAdmin)
