#coding=utf8
import os
import tempfile

from django.contrib.auth.decorators import login_required
from django.http import HttpResponse
from django.shortcuts import get_object_or_404

from Kerberos.models import execute_kerberos
from OpenDirAdmin.settings import KADMIN_VERSION
from OpenDirectory.models import Users, Service

@login_required
def get_keytab(request, cn):
    instance = get_object_or_404(Service, cn=cn)
    fd, keytab = tempfile.mkstemp()
    os.close(fd)
    os.remove(keytab)
    if KADMIN_VERSION == 'mit':
        query = u"""ktadd -k \\"{keytab}\\" \\"{principal}\\" """.format(principal=instance.cn, keytab=keytab)
    else:
        query = u"""ext_keytab -k \\"{keytab}\\" \\"{principal}\\" """.format(principal=instance.cn, keytab=keytab) 
    execute_kerberos(query)
    with open(keytab, 'r') as fd:
        content = fd.read()
    os.remove(keytab)
    return HttpResponse(content, content_type='application/keytab')

