#coding=utf8

from os.path import join, abspath

ROOT = abspath(join(__file__, '..', '..'))

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    # ('Your Name', 'your_email@example.com'),
)

MANAGERS = ADMINS

OPENDIRADMIN_ORGANIZATION = '19pouces'

OPENDIRADMIN_DOMAIN = '19pouces.net'
OPENDIRADMIN_BASE = u','.join([u'dc='+x for x in OPENDIRADMIN_DOMAIN.split('.')])
OPENDIRADMIN_USER = 'cn=admin,' + OPENDIRADMIN_BASE
OPENDIRADMIN_PASSWORD = 'toto'
OPENDIRADMIN_HOST = 'ldap.srv.{0}'.format(OPENDIRADMIN_DOMAIN)
OPENDIRADMIN_PORT = 636
OPENDIRADMIN_URL = 'ldaps://{0}:{1}/'.format(OPENDIRADMIN_HOST, OPENDIRADMIN_PORT)
OPENDIRADMIN_FIRST_UID_NUMBER = 1000
OPENDIRADMIN_FIRST_GID_NUMBER = 1000
OPENDIRADMIN_MACOSX_HOME_ROOT = '/Users'
OPENDIRADMIN_SERVICE_PREFIX = 'srv'
OPENDIRADMIN_USER_PREFIX = 'users'
OPENDIRADMIN_COMPUTER_PREFIX = 'phy'

KADMIN_USER = 'kerbadmin/admin'
KADMIN_PASSWORD = 'mkHmNXWABmHaXU4288GrexIkLspKwyD'
KADMIN_HOST = 'kerberos.srv.{0}'.format(OPENDIRADMIN_DOMAIN)
KADMIN_PORT = 88
KADMIN_REALM = OPENDIRADMIN_DOMAIN.upper()
KADMIN_KEYTAB = join(ROOT, 'kerbadmin.keytab')
KADMIN_VERSION = 'mit' #'mit' or 'heimdal' (default version on OS X Server)

PERSSL_PATH = '/var/perssl/persslserver'
PERSSL_SERVICE_OU = 'Services'
PERSSL_SERVICE_L = u'Paris'
PERSSL_SERVICE_ST = u'Île de France'
PERSSL_SERVICE_C = 'France'
PERSSL_COMPUTER_OU = 'Computers'
PERSSL_COMPUTER_L = u'Paris'
PERSSL_COMPUTER_ST = u'Île de France'
PERSSL_COMPUTER_C = 'France'

POWERDNS_DEFAULT_NS1_LOCATION = '10.19.1.50'
POWERDNS_DEFAULT_NS2_LOCATION = '10.19.1.50'
POWERDNS_DEFAULT_MX_LOCATION = '10.19.1.50'

DHCPD_DEFAULT_CONFIG = 'config'

INSTALLED_APPS = [
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    #'django.contrib.sites',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    # Uncomment the next line to enable the admin:
    'django.contrib.admin',
    # Uncomment the next line to enable admin documentation:
    # 'django.contrib.admindocs',
    #'ajax_select',
    'coreadmin',
    'OpenDirectory',
    'Kerberos',
    'Certificates',
    'PowerDNS', 
    'Dhcpd',
]

# A sample logging configuration. The only tangible logging
# performed by this configuration is to send an email to
# the site admins on every HTTP 500 error when DEBUG=False.
# See http://docs.djangoproject.com/en/dev/topics/logging for
# more details on how to customize your logging configuration.
LOGGING = {
    'version': 1,
    'disable_existing_loggers': False,
    'filters': {
        'require_debug_false': {
            '()': 'django.utils.log.RequireDebugFalse'
        }
    },
    'handlers': {
        'mail_admins': {
            'level': 'ERROR',
            'filters': ['require_debug_false'],
            'class': 'django.utils.log.AdminEmailHandler'
        }
    },
    'loggers': {
        'django.request': {
            'handlers': ['mail_admins'],
            'level': 'ERROR',
            'propagate': True,
        },
    }
}



DATABASES = {
        'default': {
            'ENGINE': 'django.db.backends.postgresql_psycopg2', # Add 'postgresql_psycopg2', 'mysql', 'sqlite3' or 'oracle'.
            'NAME': 'opendiradmin',                      # Or path to database file if using sqlite3.
            'USER': 'opendiradmin',                      # Not used with sqlite3.
            'PASSWORD': 'toto',                  # Not used with sqlite3.
            'HOST': 'pgsql.srv.19pouces.net',                      # Set to empty string for localhost. Not used with sqlite3.
            'PORT': '5432',                      # Set to empty string for default. Not used with sqlite3.
            },
        'ldap': {
            'ENGINE': 'ldapdb.backends.ldap',
            'NAME': OPENDIRADMIN_URL,
            'USER': OPENDIRADMIN_USER,
            'PASSWORD': OPENDIRADMIN_PASSWORD,
            },
        }

OPENDIRADMIN_MODELS = [ #TODO à supprimer
        # (Your_Model, Your_Model_Admin_or_None),
        ]

DATABASE_ROUTERS = ['ldapdb.router.Router']
# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# On Unix systems, a value of None will cause Django to use the same
# timezone as the operating system.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Chicago'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'fr-fr'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# If you set this to False, Django will not format dates, numbers and
# calendars according to the current locale.
USE_L10N = True

# If you set this to False, Django will not use timezone-aware datetimes.
USE_TZ = True

# Absolute filesystem path to the directory that will hold user-uploaded files.
# Example: "/home/media/media.lawrence.com/media/"
MEDIA_ROOT = ''

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash.
# Examples: "http://media.lawrence.com/media/", "http://example.com/media/"
MEDIA_URL = ''

# Absolute path to the directory static files should be collected to.
# Don't put anything in this directory yourself; store your static files
# in apps' "static/" subdirectories and in STATICFILES_DIRS.
# Example: "/home/media/media.lawrence.com/static/"
STATIC_ROOT = abspath(join(ROOT, '..', 'static'))

# URL prefix for static files.
# Example: "http://media.lawrence.com/static/"
STATIC_URL = '/static/'

# Additional locations of static files
STATICFILES_DIRS = (
    # Put strings here, like "/home/html/static" or "C:/www/django/static".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

# List of finder classes that know how to find static files in
# various locations.
STATICFILES_FINDERS = (
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
#    'django.contrib.staticfiles.finders.DefaultStorageFinder',
)

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'r+3woqs1^@f1#=v4sd75(ps6_!i2p@p#acje0u15y!&amp;*3+j=zg'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
#     'django.template.loaders.eggs.Loader',
)
AUTHENTICATION_BACKENDS = (
        #'OpenDirAdmin.backends.KerberosUserBackend',
        'django.contrib.auth.backends.RemoteUserBackend',
        )

MIDDLEWARE_CLASSES = (
        'django.middleware.common.CommonMiddleware',
        'django.contrib.sessions.middleware.SessionMiddleware',
        'django.middleware.csrf.CsrfViewMiddleware',
        'django.contrib.messages.middleware.MessageMiddleware',
        'django.contrib.auth.middleware.AuthenticationMiddleware',
        'django.contrib.auth.middleware.RemoteUserMiddleware',
        # Uncomment the next line for simple clickjacking protection:
        # 'django.middleware.clickjacking.XFrameOptionsMiddleware',
        )

ROOT_URLCONF = 'OpenDirAdmin.urls'

# Python dotted path to the WSGI application used by Django's runserver.
WSGI_APPLICATION = 'OpenDirAdmin.wsgi.application'

TEMPLATE_DIRS = ()

